function Initialise()

  ActRR = 0
  ActRast = 1




   StartedSuddenDeath = false
   
   SetupScheme()
    SetData("Worm.FallDamageRatio", 0) 
    SendMessage("GameLogic.SetNoFallDamage")
   lib_SetupMultiplayerWormsAndTeams()
   SendMessage("WormManager.Reinitialise")




   local scheme = QueryContainer("GM.SchemeData")
   if scheme.RoundTime == 0 then
      StartSuddenDeath() -- do this after worms are set up to readjust health
      local GameOver = GetData("FCS.GameOver")
      -- do no further processing if sudden death drew the game
      if GameOver ~= 0 then
         return 
      end
   end
   
   if scheme.MineFactoryOn == true then
      SendMessage("GameLogic.CreateRandMineFactory")
   end
   

   
   SetData("Camera.StartOfTurnCamera","Default")
   
   SetWormpotModes()
   

   WaitingForStartFirstTurn = false
   StartFirstTurn()
  SetData("Land.Indestructable", 1)
end


function DoOncePerTurnFunctions()
   -- skip all this if the end of the deathmatch
   SendMessage("WormManager.GetActiveAlliances")
   AllianceCount = GetData("AllianceCount")
   if AllianceCount >1 then
      CheckSuddenDeath()
      DoWormpotOncePerTurnFunctions()
   end
end